OSSL_CMP_CTX_SNPRINT_PKISTATUS(3)

NAME
OSSL_CMP_CTX_snprint_PKIStatus - function(s) for managing the CMP PKIStatus

SYNOPSIS
 #include <openssl/cmp.h>

 char *OSSL_CMP_CTX_snprint_PKIStatus(OSSL_CMP_CTX *ctx, char *buf, int bufsize);

DESCRIPTION
This is the PKIStatus API for using CMP (Certificate Management Protocol) with OpenSSL.

OSSL_CMP_CTX_snprint_PKIStatus() takes the PKIStatusInfo components contained in the given CMP context and places a human-readable string created from them in the given buffer, with the given maximal length. On success it returns a copy of the buffer pointer containing the string.

NOTES
CMP is defined in RFC 4210 (and CRMF in RFC 4211).

RETURN VALUES
OSSL_CMP_CTX_snprint_PKIStatus() returns the intended pointer value as described above or NULL on error.

HISTORY
The OpenSSL CMP support was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2007-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.